import { Meta, Story, Props, Preview } from '@storybook/addon-docs/blocks';
import { PropsTable } from '@storybook/components';
import { Collection } from '.';
import {HeroCollection} from 'ui/modules/HeroCollection'
import {getHeroCollectionProps, getResourcePreviewProps} from 'ui/mock/context'
import {ActivityPreview} from 'ui/modules/ActivityPreview'
import {activityPreviewProps} from 'ui/pages/community/a.stories.mdx'
import {ResourcePreview} from 'ui/modules/ResourcePreview'
import {WithSidebar} from 'ui/templates/withSidebar'
import {Sidebar, Status} from 'ui/modules/Sidebar'

<Meta title="Pages|Collection" component={Collection}/>


# Collection
Let's define a story for the `Collection` page

<Preview>
  <Story name="Collection page">
    <WithSidebar SidebarBox={<Sidebar 
      status={Status.Loaded}
      communities={[{
        link: {
          url: "string",
          external: true,
        },
        name: "test",
        icon: "",
      }]}
      user={{
        icon:'https://pbs.twimg.com/profile_images/1161428802091802627/O49Ggs-7_400x400.jpg',
        name: '˗ˏˋ Doug Belshaw ˎˊ˗  🇪🇺 ☠️ ✊',
        id: "/test"
      }}
      isOpen= {false}
      Search={ <input />}
      logout= {() => console.log(false)}
    />}>
      <Collection 
        HeroCollectionBox={(<HeroCollection {...getHeroCollectionProps()} />)}
        ActivitiesBox={(<React.Fragment>
          <ActivityPreview {...activityPreviewProps} key="1" />
          <ActivityPreview {...activityPreviewProps} key="2" />
          <ActivityPreview {...activityPreviewProps} key="3" />
        </React.Fragment>)}
        ResourcesBox={(<React.Fragment>
          <ResourcePreview {...getResourcePreviewProps()} key="1"/>
          <ResourcePreview {...getResourcePreviewProps()} key="2"/>
          <ResourcePreview {...getResourcePreviewProps()} key="3"/>
        </React.Fragment>)}
        basePath="/"
      />
    </WithSidebar>
  </Story>
</Preview>


